# Link Roundups

A WordPress plugin to make it easy to collect links from around the web, turn them into roundup posts and streamline the production of daily/weekly roundup newsletters using MailChimp. Built and maintained by [INN Labs](https://labs.inn.org).

**Requires at least:** 4.1  
**Tested up to:** 5.2.1  
**Stable tag:** See https://github.com/INN/link-roundups/releases
**License:** GPLv2 or later  
**License URI:** https://www.gnu.org/licenses/gpl-2.0.html

## Overview

See the [overview on WordPress.org](https://wordpress.org/plugins/link-roundups/).

## Installation

See the [installation instructions on WordPress.org](https://wordpress.org/plugins/link-roundups/#installation).

## [Documentation](docs/readme.md)

1. [Collect and tag links](docs/saved-links.md)
2. [Create link roundups](docs/link-roundups.md)
3. [Send your roundup to MailChimp](docs/mailchimp.md)
4. [Using Saved Link and Link Roundup widgets](docs/widgets.md)
5. [__More →__](docs/readme.md)

## Development

For information on the development status of this plugin, check the [development milestones on github](https://github.com/INN/link-roundups/milestones).

If you'd like to contribute to the project, please see our [contributing guidelines](contributing.md).

This plugin depends on [INN/wordpress-mailchimp-tools](https://github.com/INN/wordpress-mailchimp-tools), as well as some other components imported via `composer`. For more details, see `composer.json`.

## Contributors:

**The Institute for Nonprofit News:**

- David Ryan
- Ryan Nagle
- Ben Keith
- Will Haynes
- Adam Schweigert
- RC Lations
- Josh Darby

**Project Argo:**

- Corey Daley
- Chris Amico
- Wesley Lindamood
